using System;
using System.Drawing;
using System.Collections;
using System.ComponentModel;
using System.Windows.Forms;
using PCIBird;

namespace SampleGUI
{
	/// <summary>
	/// Summary description for TrackingSystemForm.
	/// </summary>
	public class TrackingSystemForm : System.Windows.Forms.Form
	{
		private System.Windows.Forms.TabControl tabctrl_TrackingSystem;
		private System.Windows.Forms.ComboBox cbox_AgcMode;
		private System.Windows.Forms.Label lbl_AgcMode;
		private System.Windows.Forms.ComboBox cbox_PLFreq;
		private System.Windows.Forms.Label lbl_PLFreq;
		private System.Windows.Forms.RadioButton rbtn_Millimeters;
		private System.Windows.Forms.RadioButton rbtn_Inches;
		private System.Windows.Forms.NumericUpDown nud_MeasRate;
		private System.Windows.Forms.Label lbl_MeasRate;
		private System.Windows.Forms.GroupBox gbox_BoardParams;
		private System.Windows.Forms.Label lbl_BoardSN;
		private System.Windows.Forms.Label lbl_BoardType;
		private System.Windows.Forms.Label lbl_BoardRev;
		private System.Windows.Forms.Label lbl_BoardFN;
		private System.Windows.Forms.Label lbl_BoardFR;
		private System.Windows.Forms.Label lbl_BoardModel;
		private System.Windows.Forms.TabPage tabpg_System;
		private System.Windows.Forms.TabPage tabpg_Xmtr;
		private System.Windows.Forms.GroupBox gbox_XmtrRF;
		private System.Windows.Forms.GroupBox gbox_XmtrParams;
		private System.Windows.Forms.Label lbl_XmtrSN;
		private System.Windows.Forms.Label lbl_XmtrType;
		private System.Windows.Forms.CheckBox chkbox_XmtrXYZRF;
		private System.Windows.Forms.TextBox tbox_XmtrRFazim;
		private System.Windows.Forms.TextBox tbox_XmtrRFelev;
		private System.Windows.Forms.TextBox tbox_XmtrRFroll;
		private System.Windows.Forms.TabPage[] tabpg_Sensor;
		private System.Windows.Forms.GroupBox[] gbox_SensorAA;
		private System.Windows.Forms.TextBox[] tbox_SensorAAroll;
		private System.Windows.Forms.TextBox[] tbox_SensorAAelev;
		private System.Windows.Forms.TextBox[] tbox_SensorAAazim;
		private System.Windows.Forms.ComboBox[] cbox_SensorHemisphere;
		private System.Windows.Forms.Label[] lbl_SensorHemisphere;
		private System.Windows.Forms.GroupBox[] gbox_SensorQualParams;
		private System.Windows.Forms.TextBox[] tbox_SensorSlope;
		private System.Windows.Forms.TextBox[] tbox_SensorSens;
		private System.Windows.Forms.TextBox[] tbox_SensorAlpha;
		private System.Windows.Forms.TextBox[] tbox_SensorOffset;
		private System.Windows.Forms.Label[] lbl_SensorSlope;
		private System.Windows.Forms.Label[] lbl_SensorSens;
		private System.Windows.Forms.Label[] lbl_SensorOffset;
		private System.Windows.Forms.Label[] lbl_SensorAlpha;
		private System.Windows.Forms.CheckBox[] chkbox_SensorACWN;
		private System.Windows.Forms.CheckBox[] chkbox_SensorLC;
		private System.Windows.Forms.CheckBox[] chkbox_SensorAO;
		private System.Windows.Forms.TextBox[] tbox_SensorDCAdapt;
		private System.Windows.Forms.Label[] lbl_SensorDCAdapt;
		private System.Windows.Forms.TabControl[] tabctrl_SensorAlpha;
		private System.Windows.Forms.TabPage[] tabpg_SensorAlphaMin;
		private System.Windows.Forms.TabPage[] tabpg_SensorAlphaMax;
		private System.Windows.Forms.TabPage[] tabpg_SensorVm;
		private System.Windows.Forms.GroupBox[] gbox_SensorFilters;
		private System.Windows.Forms.Label[] lbl_SensorSN;
		private System.Windows.Forms.CheckBox[] chkbox_SensorACNN;
		private System.Windows.Forms.TextBox[][] tbox_SensorAlphaMin;
		private System.Windows.Forms.TextBox[][] tbox_SensorAlphaMax;
		private System.Windows.Forms.TextBox[][] tbox_SensorVm;
		private System.Windows.Forms.Button	btn_Update;

		private TrackingSystem trackingSystem;
		private int numSensors;
		/// <summary>
		/// Required designer variable.
		/// </summary>
		private System.ComponentModel.Container components = null;

		public TrackingSystemForm(TrackingSystem ts)
		{
			//
			// Required for Windows Form Designer support
			//

			trackingSystem = ts;
			numSensors = trackingSystem.GetNumberSensorsAttached();

			InitializeComponent();

			//
			// TODO: Add any constructor code after InitializeComponent call
			//
		}

		/// <summary>
		/// Clean up any resources being used.
		/// </summary>
		protected override void Dispose( bool disposing )
		{
			if( disposing )
			{
				if(components != null)
				{
					components.Dispose();
				}
			}
			base.Dispose( disposing );
		}

		#region Windows Form Designer generated code
		/// <summary>
		/// Required method for Designer support - do not modify
		/// the contents of this method with the code editor.
		/// </summary>
		private void InitializeComponent()
		{
			this.tabctrl_TrackingSystem = new System.Windows.Forms.TabControl();
			this.tabpg_System = new System.Windows.Forms.TabPage();
			this.gbox_BoardParams = new System.Windows.Forms.GroupBox();
			this.lbl_BoardModel = new System.Windows.Forms.Label();
			this.lbl_BoardFR = new System.Windows.Forms.Label();
			this.lbl_BoardFN = new System.Windows.Forms.Label();
			this.lbl_BoardRev = new System.Windows.Forms.Label();
			this.lbl_BoardType = new System.Windows.Forms.Label();
			this.lbl_BoardSN = new System.Windows.Forms.Label();
			this.nud_MeasRate = new System.Windows.Forms.NumericUpDown();
			this.lbl_MeasRate = new System.Windows.Forms.Label();
			this.rbtn_Inches = new System.Windows.Forms.RadioButton();
			this.rbtn_Millimeters = new System.Windows.Forms.RadioButton();
			this.cbox_PLFreq = new System.Windows.Forms.ComboBox();
			this.lbl_PLFreq = new System.Windows.Forms.Label();
			this.cbox_AgcMode = new System.Windows.Forms.ComboBox();
			this.lbl_AgcMode = new System.Windows.Forms.Label();
			this.tabpg_Xmtr = new System.Windows.Forms.TabPage();
			this.gbox_XmtrParams = new System.Windows.Forms.GroupBox();
			this.lbl_XmtrType = new System.Windows.Forms.Label();
			this.lbl_XmtrSN = new System.Windows.Forms.Label();
			this.chkbox_XmtrXYZRF = new System.Windows.Forms.CheckBox();
			this.gbox_XmtrRF = new System.Windows.Forms.GroupBox();
			this.tbox_XmtrRFroll = new System.Windows.Forms.TextBox();
			this.tbox_XmtrRFelev = new System.Windows.Forms.TextBox();
			this.tbox_XmtrRFazim = new System.Windows.Forms.TextBox();

			this.tabpg_Sensor = new System.Windows.Forms.TabPage[numSensors];
			this.lbl_SensorDCAdapt = new System.Windows.Forms.Label[numSensors];
			this.tbox_SensorDCAdapt = new System.Windows.Forms.TextBox[numSensors];
			this.chkbox_SensorAO = new System.Windows.Forms.CheckBox[numSensors];
			this.chkbox_SensorLC = new System.Windows.Forms.CheckBox[numSensors];
			this.chkbox_SensorACNN = new System.Windows.Forms.CheckBox[numSensors];
			this.chkbox_SensorACWN = new System.Windows.Forms.CheckBox[numSensors];
			this.gbox_SensorQualParams = new System.Windows.Forms.GroupBox[numSensors];
			this.lbl_SensorAlpha = new System.Windows.Forms.Label[numSensors];
			this.lbl_SensorOffset = new System.Windows.Forms.Label[numSensors];
			this.lbl_SensorSens = new System.Windows.Forms.Label[numSensors];
			this.lbl_SensorSlope = new System.Windows.Forms.Label[numSensors];
			this.tbox_SensorAlpha = new System.Windows.Forms.TextBox[numSensors];
			this.tbox_SensorSens = new System.Windows.Forms.TextBox[numSensors];
			this.tbox_SensorSlope = new System.Windows.Forms.TextBox[numSensors];
			this.tbox_SensorOffset = new System.Windows.Forms.TextBox[numSensors];
			this.cbox_SensorHemisphere = new System.Windows.Forms.ComboBox[numSensors];
			this.gbox_SensorAA = new System.Windows.Forms.GroupBox[numSensors];
			this.tbox_SensorAAroll = new System.Windows.Forms.TextBox[numSensors];
			this.tbox_SensorAAelev = new System.Windows.Forms.TextBox[numSensors];
			this.tbox_SensorAAazim = new System.Windows.Forms.TextBox[numSensors];
			this.lbl_SensorHemisphere = new System.Windows.Forms.Label[numSensors];
			this.gbox_SensorFilters = new System.Windows.Forms.GroupBox[numSensors];
			this.tabctrl_SensorAlpha = new System.Windows.Forms.TabControl[numSensors];
			this.tabpg_SensorAlphaMin = new System.Windows.Forms.TabPage[numSensors];
			this.tabpg_SensorAlphaMax = new System.Windows.Forms.TabPage[numSensors];
			this.tabpg_SensorVm = new System.Windows.Forms.TabPage[numSensors];
			this.lbl_SensorSN = new System.Windows.Forms.Label[numSensors];
			this.tbox_SensorAlphaMin = new System.Windows.Forms.TextBox[numSensors][];
			this.tbox_SensorAlphaMax = new System.Windows.Forms.TextBox[numSensors][];
			this.tbox_SensorVm = new System.Windows.Forms.TextBox[numSensors][];
			for(int i = 0; i < numSensors; i++)
			{
				this.tabpg_Sensor[i] = new System.Windows.Forms.TabPage();
				this.tabpg_Sensor[i] = new System.Windows.Forms.TabPage();
				this.lbl_SensorDCAdapt[i] = new System.Windows.Forms.Label();
				this.tbox_SensorDCAdapt[i] = new System.Windows.Forms.TextBox();
				this.chkbox_SensorAO[i] = new System.Windows.Forms.CheckBox();
				this.chkbox_SensorLC[i] = new System.Windows.Forms.CheckBox();
				this.chkbox_SensorACNN[i] = new System.Windows.Forms.CheckBox();
				this.chkbox_SensorACWN[i] = new System.Windows.Forms.CheckBox();
				this.gbox_SensorQualParams[i] = new System.Windows.Forms.GroupBox();
				this.lbl_SensorAlpha[i] = new System.Windows.Forms.Label();
				this.lbl_SensorOffset[i] = new System.Windows.Forms.Label();
				this.lbl_SensorSens[i] = new System.Windows.Forms.Label();
				this.lbl_SensorSlope[i] = new System.Windows.Forms.Label();
				this.tbox_SensorAlpha[i] = new System.Windows.Forms.TextBox();
				this.tbox_SensorSens[i] = new System.Windows.Forms.TextBox();
				this.tbox_SensorSlope[i] = new System.Windows.Forms.TextBox();
				this.tbox_SensorOffset[i] = new System.Windows.Forms.TextBox();
				this.cbox_SensorHemisphere[i] = new System.Windows.Forms.ComboBox();
				this.gbox_SensorAA[i] = new System.Windows.Forms.GroupBox();
				this.tbox_SensorAAroll[i] = new System.Windows.Forms.TextBox();
				this.tbox_SensorAAelev[i] = new System.Windows.Forms.TextBox();
				this.tbox_SensorAAazim[i] = new System.Windows.Forms.TextBox();
				this.lbl_SensorHemisphere[i] = new System.Windows.Forms.Label();
				this.gbox_SensorFilters[i] = new System.Windows.Forms.GroupBox();
				this.tabctrl_SensorAlpha[i] = new System.Windows.Forms.TabControl();
				this.tabpg_SensorAlphaMin[i] = new System.Windows.Forms.TabPage();
				this.tabpg_SensorAlphaMax[i] = new System.Windows.Forms.TabPage();
				this.tabpg_SensorVm[i] = new System.Windows.Forms.TabPage();
				this.lbl_SensorSN[i] = new System.Windows.Forms.Label();
				this.tbox_SensorAlphaMin[i] = new System.Windows.Forms.TextBox[7];
				this.tbox_SensorAlphaMax[i] = new System.Windows.Forms.TextBox[7];
				this.tbox_SensorVm[i] = new System.Windows.Forms.TextBox[7];
				for( int ii = 0; ii < 7; ii++)
				{
					this.tbox_SensorAlphaMin[i][ii] = new System.Windows.Forms.TextBox();
					this.tbox_SensorAlphaMax[i][ii] = new System.Windows.Forms.TextBox();
					this.tbox_SensorVm[i][ii] = new System.Windows.Forms.TextBox();
				}
			}
					

			
			this.tabctrl_TrackingSystem.SuspendLayout();
			this.tabpg_System.SuspendLayout();
			this.gbox_BoardParams.SuspendLayout();
			((System.ComponentModel.ISupportInitialize)(this.nud_MeasRate)).BeginInit();
			this.tabpg_Xmtr.SuspendLayout();
			this.gbox_XmtrParams.SuspendLayout();
			this.gbox_XmtrRF.SuspendLayout();
			for(int i = 0; i < numSensors; i++)
			{
				this.tabpg_Sensor[i].SuspendLayout();
				this.gbox_SensorQualParams[i].SuspendLayout();
				this.gbox_SensorAA[i].SuspendLayout();
				this.gbox_SensorFilters[i].SuspendLayout();
				this.tabctrl_SensorAlpha[i].SuspendLayout();
			}
			this.SuspendLayout();
			// 
			// tabctrl_TrackingSystem
			// 
			this.tabctrl_TrackingSystem.Controls.Add(this.tabpg_System);
			this.tabctrl_TrackingSystem.Controls.Add(this.tabpg_Xmtr);
			for(int i = 0; i < numSensors; i++)
				this.tabctrl_TrackingSystem.Controls.Add(this.tabpg_Sensor[i]);
			
			//this.tabctrl_TrackingSystem.Dock = System.Windows.Forms.DockStyle.Fill;
			this.tabctrl_TrackingSystem.Location = new System.Drawing.Point(0, 0);
			this.tabctrl_TrackingSystem.Name = "tabctrl_TrackingSystem";
			this.tabctrl_TrackingSystem.SelectedIndex = 0;
			this.tabctrl_TrackingSystem.Size = new System.Drawing.Size(776, 198);
			this.tabctrl_TrackingSystem.TabIndex = 0;
			this.tabctrl_TrackingSystem.SelectedIndexChanged += new System.EventHandler(this.tabctrl_TrackingSystem_SelectedIndexChanged);
			// 
			// tabpg_System
			// 
			this.tabpg_System.Controls.Add(this.gbox_BoardParams);
			this.tabpg_System.Controls.Add(this.nud_MeasRate);
			this.tabpg_System.Controls.Add(this.lbl_MeasRate);
			this.tabpg_System.Controls.Add(this.rbtn_Inches);
			this.tabpg_System.Controls.Add(this.rbtn_Millimeters);
			this.tabpg_System.Controls.Add(this.cbox_PLFreq);
			this.tabpg_System.Controls.Add(this.lbl_PLFreq);
			this.tabpg_System.Controls.Add(this.cbox_AgcMode);
			this.tabpg_System.Controls.Add(this.lbl_AgcMode);
			this.tabpg_System.Location = new System.Drawing.Point(4, 22);
			this.tabpg_System.Name = "tabpg_System";
			this.tabpg_System.Size = new System.Drawing.Size(584, 172);
			this.tabpg_System.TabIndex = 0;
			this.tabpg_System.Text = "System";
			this.tabpg_System.Click += new System.EventHandler(this.tabPage1_Click);
			// 
			// gbox_BoardParams
			// 
			this.gbox_BoardParams.Controls.Add(this.lbl_BoardModel);
			this.gbox_BoardParams.Controls.Add(this.lbl_BoardFR);
			this.gbox_BoardParams.Controls.Add(this.lbl_BoardFN);
			this.gbox_BoardParams.Controls.Add(this.lbl_BoardRev);
			this.gbox_BoardParams.Controls.Add(this.lbl_BoardType);
			this.gbox_BoardParams.Controls.Add(this.lbl_BoardSN);
			this.gbox_BoardParams.Location = new System.Drawing.Point(336, 8);
			this.gbox_BoardParams.Name = "gbox_BoardParams";
			this.gbox_BoardParams.Size = new System.Drawing.Size(220, 128);
			this.gbox_BoardParams.TabIndex = 8;
			this.gbox_BoardParams.TabStop = false;
			this.gbox_BoardParams.Text = "Board Parameters";
			// 
			// lbl_BoardModel
			// 
			this.lbl_BoardModel.Location = new System.Drawing.Point(73, 96);
			this.lbl_BoardModel.Name = "lbl_BoardModel";
			this.lbl_BoardModel.Size  = new System.Drawing.Size(104, 23);
			this.lbl_BoardModel.TabIndex = 5;
			// 
			// lbl_BoardFR
			// 
			this.lbl_BoardFR.Location = new System.Drawing.Point(16, 80);
			this.lbl_BoardFR.Name = "lbl_BoardFR";
			this.lbl_BoardFR.Size = new System.Drawing.Size(120, 23);
			this.lbl_BoardFR.TabIndex = 4;
			// 
			// lbl_BoardFN
			// 
			this.lbl_BoardFN.Location = new System.Drawing.Point(20, 64);
			this.lbl_BoardFN.Name = "lbl_BoardFN";
			this.lbl_BoardFN.Size = new System.Drawing.Size(120, 23);
			this.lbl_BoardFN.TabIndex = 3;
			// 
			// lbl_BoardRev
			// 
			this.lbl_BoardRev.Location = new System.Drawing.Point(61, 48);
			this.lbl_BoardRev.Name = "lbl_BoardRev";
			this.lbl_BoardRev.TabIndex = 2;
			this.lbl_BoardRev.Click += new System.EventHandler(this.label1_Click_1);
			// 
			// lbl_BoardType
			// 
			this.lbl_BoardType.Location = new System.Drawing.Point(78, 32);
			this.lbl_BoardType.Name = "lbl_BoardType";
			this.lbl_BoardType.Size = new System.Drawing.Size(130, 24);
			this.lbl_BoardType.TabIndex = 1;
			// 
			// lbl_BoardSN
			// 
			this.lbl_BoardSN.Location = new System.Drawing.Point(36, 16);
			this.lbl_BoardSN.Name = "lbl_BoardSN";
			this.lbl_BoardSN.Size = new System.Drawing.Size(144, 24);
			this.lbl_BoardSN.TabIndex = 0;
			// 
			// nud_MeasRate
			// 
			this.nud_MeasRate.DecimalPlaces = 2;
			this.nud_MeasRate.Location = new System.Drawing.Point(216, 88);
			this.nud_MeasRate.Name = "nud_MeasRate";
			this.nud_MeasRate.Size = new System.Drawing.Size(72, 20);
			this.nud_MeasRate.TabIndex = 6;
			this.nud_MeasRate.ValueChanged += new System.EventHandler(this.numericUpDown1_ValueChanged);
			// 
			// lbl_MeasRate
			// 
			this.lbl_MeasRate.Location = new System.Drawing.Point(216, 72);
			this.lbl_MeasRate.Name = "lbl_MeasRate";
			this.lbl_MeasRate.TabIndex = 7;
			this.lbl_MeasRate.Text = "Measurement Rate";
			// 
			// rbtn_Inches
			// 
			this.rbtn_Inches.Location = new System.Drawing.Point(216, 40);
			this.rbtn_Inches.Name = "rbtn_Inches";
			this.rbtn_Inches.TabIndex = 5;
			this.rbtn_Inches.Text = "Inches";
			this.rbtn_Inches.CheckedChanged += new System.EventHandler(this.radioButton1_CheckedChanged);
			// 
			// rbtn_Millimeters
			// 
			this.rbtn_Millimeters.Location = new System.Drawing.Point(216, 16);
			this.rbtn_Millimeters.Name = "rbtn_Millimeters";
			this.rbtn_Millimeters.TabIndex = 4;
			this.rbtn_Millimeters.Text = "Millimeters";
			// 
			// cbox_PLFreq
			// 
			this.cbox_PLFreq.Items.AddRange(new object[] {
															 "60",
															 "50"});
			this.cbox_PLFreq.Location = new System.Drawing.Point(16, 96);
			this.cbox_PLFreq.Name = "cbox_PLFreq";
			this.cbox_PLFreq.Size = new System.Drawing.Size(64, 21);
			this.cbox_PLFreq.TabIndex = 2;
			// 
			// lbl_PLFreq
			// 
			this.lbl_PLFreq.Location = new System.Drawing.Point(16, 80);
			this.lbl_PLFreq.Name = "lbl_PLFreq";
			this.lbl_PLFreq.Size = new System.Drawing.Size(152, 24);
			this.lbl_PLFreq.TabIndex = 3;
			this.lbl_PLFreq.Text = "Power Line Frequency";
			// 
			// cbox_AgcMode
			// 
			this.cbox_AgcMode.Items.AddRange(new object[] {
															  "Transmitter and Sensor",
															  "Sensor Only"});
			this.cbox_AgcMode.Location = new System.Drawing.Point(16, 32);
			this.cbox_AgcMode.Name = "cbox_AgcMode";
			this.cbox_AgcMode.Size = new System.Drawing.Size(160, 21);
			this.cbox_AgcMode.TabIndex = 0;
			this.cbox_AgcMode.SelectedIndexChanged += new System.EventHandler(this.comboBox1_SelectedIndexChanged);
			// 
			// lbl_AgcMode
			// 
			this.lbl_AgcMode.Location = new System.Drawing.Point(16, 16);
			this.lbl_AgcMode.Name = "lbl_AgcMode";
			this.lbl_AgcMode.Size = new System.Drawing.Size(152, 24);
			this.lbl_AgcMode.TabIndex = 1;
			this.lbl_AgcMode.Text = "AGC Mode";
			this.lbl_AgcMode.Click += new System.EventHandler(this.label1_Click);
			// 
			// tabpg_Xmtr
			// 
			this.tabpg_Xmtr.Controls.Add(this.gbox_XmtrParams);
			this.tabpg_Xmtr.Controls.Add(this.chkbox_XmtrXYZRF);
			this.tabpg_Xmtr.Controls.Add(this.gbox_XmtrRF);
			this.tabpg_Xmtr.Location = new System.Drawing.Point(4, 22);
			this.tabpg_Xmtr.Name = "tabpg_Xmtr";
			this.tabpg_Xmtr.Size = new System.Drawing.Size(752, 172);
			this.tabpg_Xmtr.TabIndex = 1;
			this.tabpg_Xmtr.Text = "Transmitter";
			// 
			// gbox_XmtrParams
			// 
			this.gbox_XmtrParams.Controls.Add(this.lbl_XmtrType);
			this.gbox_XmtrParams.Controls.Add(this.lbl_XmtrSN);
			this.gbox_XmtrParams.Location = new System.Drawing.Point(240, 24);
			this.gbox_XmtrParams.Name = "gbox_XmtrParams";
			this.gbox_XmtrParams.Size = new System.Drawing.Size(240, 80);
			this.gbox_XmtrParams.TabIndex = 2;
			this.gbox_XmtrParams.TabStop = false;
			this.gbox_XmtrParams.Text = "Transmitter Parameters";
			// 
			// lbl_XmtrType
			// 
			this.lbl_XmtrType.Location = new System.Drawing.Point(58, 40);
			this.lbl_XmtrType.Name = "lbl_XmtrType";
			this.lbl_XmtrType.Size = new System.Drawing.Size(180,24);
			this.lbl_XmtrType.TabIndex = 1;
			// 
			// lbl_XmtrSN
			// 
			this.lbl_XmtrSN.Location = new System.Drawing.Point(16, 24);
			this.lbl_XmtrSN.Name = "lbl_XmtrSN";
			this.lbl_XmtrSN.TabIndex = 0;
			// 
			// chkbox_XmtrXYZRF
			// 
			this.chkbox_XmtrXYZRF.Location = new System.Drawing.Point(24, 120);
			this.chkbox_XmtrXYZRF.Name = "chkbox_XmtrXYZRF";
			this.chkbox_XmtrXYZRF.Size = new System.Drawing.Size(136, 24);
			this.chkbox_XmtrXYZRF.TabIndex = 1;
			this.chkbox_XmtrXYZRF.Text = "XYZ Reference Frame";
			// 
			// gbox_XmtrRF
			// 
			this.gbox_XmtrRF.Controls.Add(this.tbox_XmtrRFroll);
			this.gbox_XmtrRF.Controls.Add(this.tbox_XmtrRFelev);
			this.gbox_XmtrRF.Controls.Add(this.tbox_XmtrRFazim);
			this.gbox_XmtrRF.Location = new System.Drawing.Point(16, 24);
			this.gbox_XmtrRF.Name = "gbox_XmtrRF";
			this.gbox_XmtrRF.Size = new System.Drawing.Size(200, 88);
			this.gbox_XmtrRF.TabIndex = 0;
			this.gbox_XmtrRF.TabStop = false;
			this.gbox_XmtrRF.Text = "Reference Frame";
			// 
			// tbox_XmtrRFroll
			// 
			this.tbox_XmtrRFroll.Location = new System.Drawing.Point(136, 32);
			this.tbox_XmtrRFroll.Name = "tbox_XmtrRFroll";
			this.tbox_XmtrRFroll.Size = new System.Drawing.Size(56, 20);
			this.tbox_XmtrRFroll.TabIndex = 2;
			// 
			// tbox_XmtrRFelev
			// 
			this.tbox_XmtrRFelev.Location = new System.Drawing.Point(72, 32);
			this.tbox_XmtrRFelev.Name = "tbox_XmtrRFelev";
			this.tbox_XmtrRFelev.Size = new System.Drawing.Size(52, 20);
			this.tbox_XmtrRFelev.TabIndex = 1;
			// 
			// tbox_XmtrRFazim
			// 
			this.tbox_XmtrRFazim.Location = new System.Drawing.Point(8, 32);
			this.tbox_XmtrRFazim.Name = "tbox_XmtrRFazim";
			this.tbox_XmtrRFazim.Size = new System.Drawing.Size(48, 20);
			this.tbox_XmtrRFazim.TabIndex = 0;
			this.tbox_XmtrRFazim.TextChanged += new System.EventHandler(this.textBox1_TextChanged);
			// 
			// tabpg_Sensor
			// 
			for(int i = 0; i < numSensors; i++)
			{
				this.tabpg_Sensor[i].Controls.Add(this.lbl_SensorDCAdapt[i]);
				this.tabpg_Sensor[i].Controls.Add(this.tbox_SensorDCAdapt[i]);
				this.tabpg_Sensor[i].Controls.Add(this.chkbox_SensorAO[i]);
				this.tabpg_Sensor[i].Controls.Add(this.chkbox_SensorLC[i]);
				this.tabpg_Sensor[i].Controls.Add(this.chkbox_SensorACNN[i]);
				this.tabpg_Sensor[i].Controls.Add(this.chkbox_SensorACWN[i]);
				this.tabpg_Sensor[i].Controls.Add(this.gbox_SensorQualParams[i]);
				this.tabpg_Sensor[i].Controls.Add(this.cbox_SensorHemisphere[i]);
				this.tabpg_Sensor[i].Controls.Add(this.gbox_SensorAA[i]);
				this.tabpg_Sensor[i].Controls.Add(this.lbl_SensorHemisphere[i]);
				this.tabpg_Sensor[i].Controls.Add(this.gbox_SensorFilters[i]);
				this.tabpg_Sensor[i].Controls.Add(this.lbl_SensorSN[i]);
				this.tabpg_Sensor[i].Location = new System.Drawing.Point(4, 22);
				this.tabpg_Sensor[i].Name = "tabpg_Sensor" + i.ToString();
				this.tabpg_Sensor[i].Size = new System.Drawing.Size(728, 172);
				this.tabpg_Sensor[i].TabIndex = 2+i;
				this.tabpg_Sensor[i].Text = "Sensor " + (i+1).ToString();
				// 
				// lbl_SensorDCAdapt
				// 
				this.lbl_SensorDCAdapt[i].Location = new System.Drawing.Point(416, 128);
				this.lbl_SensorDCAdapt[i].Name = "lbl_SensorDCAdapt";
				this.lbl_SensorDCAdapt[i].TabIndex = 12;
				this.lbl_SensorDCAdapt[i].Text = "DC Adaptive";
				// 
				// tbox_SensorDCAdapt
				// 
				this.tbox_SensorDCAdapt[i].Location = new System.Drawing.Point(368, 128);
				this.tbox_SensorDCAdapt[i].Name = "tbox_SensorDCAdapt";
				this.tbox_SensorDCAdapt[i].Size = new System.Drawing.Size(48, 20);
				this.tbox_SensorDCAdapt[i].TabIndex = 11;

				// 
				// chkbox_SensorAO
				// 
				this.chkbox_SensorAO[i].Location = new System.Drawing.Point(368, 96);
				this.chkbox_SensorAO[i].Name = "chkbox_SensorAO";
				this.chkbox_SensorAO[i].Size = new System.Drawing.Size(120, 24);
				this.chkbox_SensorAO[i].TabIndex = 10;
				this.chkbox_SensorAO[i].Text = "Alpha On";
				// 
				// chkbox_SensorLC
				// 
				this.chkbox_SensorLC[i].Location = new System.Drawing.Point(368, 72);
				this.chkbox_SensorLC[i].Name = "chkbox_SensorLC";
				this.chkbox_SensorLC[i].Size = new System.Drawing.Size(120, 24);
				this.chkbox_SensorLC[i].TabIndex = 9;
				this.chkbox_SensorLC[i].Text = "Large Change";
				// 
				// chkbox_SensorACNN
				// 
				this.chkbox_SensorACNN[i].Location = new System.Drawing.Point(368, 48);
				this.chkbox_SensorACNN[i].Name = "chkbox_SensorACNN";
				this.chkbox_SensorACNN[i].Size = new System.Drawing.Size(120, 24);
				this.chkbox_SensorACNN[i].TabIndex = 8;
				this.chkbox_SensorACNN[i].Text = "AC Narrow Notch";
				// 
				// chkbox_SensorACWN
				// 
				this.chkbox_SensorACWN[i].Location = new System.Drawing.Point(368, 24);
				this.chkbox_SensorACWN[i].Name = "chkbox_SensorACWN";
				this.chkbox_SensorACWN[i].TabIndex = 7;
				this.chkbox_SensorACWN[i].Text = "AC Wide Notch";
				// 
				// gbox_SensorQualParams
				// 
				this.gbox_SensorQualParams[i].Controls.Add(this.lbl_SensorAlpha[i]);
				this.gbox_SensorQualParams[i].Controls.Add(this.lbl_SensorOffset[i]);
				this.gbox_SensorQualParams[i].Controls.Add(this.lbl_SensorSens[i]);
				this.gbox_SensorQualParams[i].Controls.Add(this.lbl_SensorSlope[i]);
				this.gbox_SensorQualParams[i].Controls.Add(this.tbox_SensorAlpha[i]);
				this.gbox_SensorQualParams[i].Controls.Add(this.tbox_SensorSens[i]);
				this.gbox_SensorQualParams[i].Controls.Add(this.tbox_SensorSlope[i]);
				this.gbox_SensorQualParams[i].Controls.Add(this.tbox_SensorOffset[i]);
				this.gbox_SensorQualParams[i].Location = new System.Drawing.Point(224, 8);
				this.gbox_SensorQualParams[i].Name = "gbox_SensorQualParams";
				this.gbox_SensorQualParams[i].Size = new System.Drawing.Size(128, 152);
				this.gbox_SensorQualParams[i].TabIndex = 6;
				this.gbox_SensorQualParams[i].TabStop = false;
				this.gbox_SensorQualParams[i].Text = "Quality Parameters";
				// 
				// lbl_SensorAlpha
				// 
				this.lbl_SensorAlpha[i].Location = new System.Drawing.Point(24, 96);
				this.lbl_SensorAlpha[i].Name = "lbl_SensorAlpha";
				this.lbl_SensorAlpha[i].Size = new System.Drawing.Size(40, 23);
				this.lbl_SensorAlpha[i].TabIndex = 11;
				this.lbl_SensorAlpha[i].Text = "Alpha";
				// 
				// lbl_SensorOffset
				// 
				this.lbl_SensorOffset[i].Location = new System.Drawing.Point(24, 72);
				this.lbl_SensorOffset[i].Name = "lbl_SensorOffset";
				this.lbl_SensorOffset[i].Size = new System.Drawing.Size(40, 23);
				this.lbl_SensorOffset[i].TabIndex = 10;
				this.lbl_SensorOffset[i].Text = "Offset";
				// 
				// lbl_SensorSens
				// 
				this.lbl_SensorSens[i].Location = new System.Drawing.Point(8, 48);
				this.lbl_SensorSens[i].Name = "lbl_SensorSens";
				this.lbl_SensorSens[i].Size = new System.Drawing.Size(56, 23);
				this.lbl_SensorSens[i].TabIndex = 9;
				this.lbl_SensorSens[i].Text = "Sensitivity";
				// 
				// lbl_SensorSlope
				// 
				this.lbl_SensorSlope[i].Location = new System.Drawing.Point(24, 24);
				this.lbl_SensorSlope[i].Name = "lbl_SensorSlope";
				this.lbl_SensorSlope[i].Size = new System.Drawing.Size(48, 23);
				this.lbl_SensorSlope[i].TabIndex = 8;
				this.lbl_SensorSlope[i].Text = "  Slope";
				this.lbl_SensorSlope[i].Click += new System.EventHandler(this.lbl_SensorSlope_Click);
				// 
				// tbox_SensorAlpha
				// 
				this.tbox_SensorAlpha[i].Location = new System.Drawing.Point(72, 96);
				this.tbox_SensorAlpha[i].Name = "tbox_SensorAlpha";
				this.tbox_SensorAlpha[i].Size = new System.Drawing.Size(48, 20);
				this.tbox_SensorAlpha[i].TabIndex = 6;
				// 
				// tbox_SensorSens
				// 
				this.tbox_SensorSens[i].Location = new System.Drawing.Point(72, 48);
				this.tbox_SensorSens[i].Name = "tbox_SensorSens";
				this.tbox_SensorSens[i].Size = new System.Drawing.Size(48, 20);
				this.tbox_SensorSens[i].TabIndex = 5;
				// 
				// tbox_SensorSlope
				// 
				this.tbox_SensorSlope[i].Location = new System.Drawing.Point(72, 24);
				this.tbox_SensorSlope[i].Name = "tbox_SensorSlope";
				this.tbox_SensorSlope[i].Size = new System.Drawing.Size(48, 20);
				this.tbox_SensorSlope[i].TabIndex = 4;
				// 
				// tbox_SensorOffset
				// 
				this.tbox_SensorOffset[i].Location = new System.Drawing.Point(72, 72);
				this.tbox_SensorOffset[i].Name = "tbox_SensorOffset";
				this.tbox_SensorOffset[i].Size = new System.Drawing.Size(48, 20);
				this.tbox_SensorOffset[i].TabIndex = 7;
				// 
				// cbox_SensorHemisphere
				// 
				this.cbox_SensorHemisphere[i].Items.AddRange(new object[] {
																		"Front",
																		"Back",
																		"Top",
																		"Bottom",
																		"Left",
																		"Right"});
				this.cbox_SensorHemisphere[i].Location = new System.Drawing.Point(16, 96);
				this.cbox_SensorHemisphere[i].Name = "cbox_SensorHemisphere";
				this.cbox_SensorHemisphere[i].Size = new System.Drawing.Size(121, 21);
				this.cbox_SensorHemisphere[i].TabIndex = 4;
				// 
				// gbox_SensorAA
				// 
				this.gbox_SensorAA[i].Controls.Add(this.tbox_SensorAAroll[i]);
				this.gbox_SensorAA[i].Controls.Add(this.tbox_SensorAAelev[i]);
				this.gbox_SensorAA[i].Controls.Add(this.tbox_SensorAAazim[i]);
				this.gbox_SensorAA[i].Location = new System.Drawing.Point(8, 16);
				this.gbox_SensorAA[i].Name = "gbox_SensorAA";
				this.gbox_SensorAA[i].Size = new System.Drawing.Size(208, 56);
				this.gbox_SensorAA[i].TabIndex = 3;
				this.gbox_SensorAA[i].TabStop = false;
				this.gbox_SensorAA[i].Text = "Angle Align";
				// 
				// tbox_SensorAAroll
				// 
				this.tbox_SensorAAroll[i].Location = new System.Drawing.Point(136, 16);
				this.tbox_SensorAAroll[i].Name = "tbox_SensorAAroll";
				this.tbox_SensorAAroll[i].Size = new System.Drawing.Size(56, 20);
				this.tbox_SensorAAroll[i].TabIndex = 5;
				// 
				// tbox_SensorAAelev
				// 
				this.tbox_SensorAAelev[i].Location = new System.Drawing.Point(72, 16);
				this.tbox_SensorAAelev[i].Name = "tbox_SensorAAelev";
				this.tbox_SensorAAelev[i].Size = new System.Drawing.Size(52, 20);
				this.tbox_SensorAAelev[i].TabIndex = 4;
				// 
				// tbox_SensorAAazim
				// 
				this.tbox_SensorAAazim[i].Location = new System.Drawing.Point(8, 16);
				this.tbox_SensorAAazim[i].Name = "tbox_SensorAAazim";
				this.tbox_SensorAAazim[i].Size = new System.Drawing.Size(48, 20);
				this.tbox_SensorAAazim[i].TabIndex = 3;
				// 
				// lbl_SensorHemisphere
				// 
				this.lbl_SensorHemisphere[i].Location = new System.Drawing.Point(16, 80);
				this.lbl_SensorHemisphere[i].Name = "lbl_SensorHemisphere";
				this.lbl_SensorHemisphere[i].TabIndex = 5;
				this.lbl_SensorHemisphere[i].Text = "Hemisphere";
				// 
				// gbox_SensorFilters
				// 
				this.gbox_SensorFilters[i].Controls.Add(this.tabctrl_SensorAlpha[i]);
				this.gbox_SensorFilters[i].Location = new System.Drawing.Point(360, 8);
				this.gbox_SensorFilters[i].Name = "gbox_SensorFilters";
				this.gbox_SensorFilters[i].Size = new System.Drawing.Size(400, 152);
				this.gbox_SensorFilters[i].TabIndex = 14;
				this.gbox_SensorFilters[i].TabStop = false;
				this.gbox_SensorFilters[i].Text = "Filters";
				this.gbox_SensorFilters[i].Enter += new System.EventHandler(this.groupBox1_Enter);
				// 
				// tabctrl_SensorAlpha
				// 
				this.tabctrl_SensorAlpha[i].Controls.Add(this.tabpg_SensorAlphaMin[i]);
				this.tabctrl_SensorAlpha[i].Controls.Add(this.tabpg_SensorAlphaMax[i]);
				this.tabctrl_SensorAlpha[i].Controls.Add(this.tabpg_SensorVm[i]);
				this.tabctrl_SensorAlpha[i].Location = new System.Drawing.Point(136, 16);
				this.tabctrl_SensorAlpha[i].Name = "tabctrl_SensorAlpha";
				this.tabctrl_SensorAlpha[i].SelectedIndex = 0;
				this.tabctrl_SensorAlpha[i].Size = new System.Drawing.Size(256, 100);
				this.tabctrl_SensorAlpha[i].TabIndex = 13;
				this.tabctrl_SensorAlpha[i].SelectedIndexChanged += new System.EventHandler(this.tabctrl_SensorAlpha_SelectedIndexChanged);
				// 
				// tabpg_SensorAlphaMin
				// 
				for(int ii = 0; ii < 7; ii++)
					this.tabpg_SensorAlphaMin[i].Controls.Add(this.tbox_SensorAlphaMin[i][ii]);
				this.tabpg_SensorAlphaMin[i].Location = new System.Drawing.Point(4, 22);
				this.tabpg_SensorAlphaMin[i].Name = "tabpg_SensorAlphaMin";
				this.tabpg_SensorAlphaMin[i].Size = new System.Drawing.Size(208, 74);
				this.tabpg_SensorAlphaMin[i].TabIndex = 0;
				this.tabpg_SensorAlphaMin[i].Text = "Alpha Min";
				//
				//tbox_SensorAlphaMin
				//
				for(int ii = 0; ii < 7; ii++)
				{
					this.tbox_SensorAlphaMin[i][ii].Location = new System.Drawing.Point(35*ii,24);
					this.tbox_SensorAlphaMin[i][ii].Name = "tbox_SensorAlphaMin";
					this.tbox_SensorAlphaMin[i][ii].Size = new System.Drawing.Size(35, 20);
					this.tbox_SensorAlphaMin[i][ii].TabIndex = 3;
				}

				// 
				// tabpg_SensorAlphaMax
				// 
				for(int ii = 0; ii < 7; ii++)
					this.tabpg_SensorAlphaMax[i].Controls.Add(this.tbox_SensorAlphaMax[i][ii]);
				this.tabpg_SensorAlphaMax[i].Location = new System.Drawing.Point(4, 22);
				this.tabpg_SensorAlphaMax[i].Name = "tabpg_SensorAlphaMax";
				this.tabpg_SensorAlphaMax[i].Size = new System.Drawing.Size(208, 74);
				this.tabpg_SensorAlphaMax[i].TabIndex = 1;
				this.tabpg_SensorAlphaMax[i].Text = "Alpha Max";
				//
				//tbox_SensorAlphaMax
				//
				for(int ii = 0; ii < 7; ii++)
				{
					this.tbox_SensorAlphaMax[i][ii].Location = new System.Drawing.Point(35*ii,24);
					this.tbox_SensorAlphaMax[i][ii].Name = "tbox_SensorAlphaMax";
					this.tbox_SensorAlphaMax[i][ii].Size = new System.Drawing.Size(35, 20);
					this.tbox_SensorAlphaMax[i][ii].TabIndex = 3;
				}
				// 
				// tabpg_SensorVm
				// 
				for(int ii = 0; ii < 7; ii++)
					this.tabpg_SensorVm[i].Controls.Add(this.tbox_SensorVm[i][ii]);
				this.tabpg_SensorVm[i].Location = new System.Drawing.Point(4, 22);
				this.tabpg_SensorVm[i].Name = "tabpg_SensorVm";
				this.tabpg_SensorVm[i].Size = new System.Drawing.Size(208, 74);
				this.tabpg_SensorVm[i].TabIndex = 2;
				this.tabpg_SensorVm[i].Text = "Vm";
				//
				//tbox_SensorVm
				//
				for(int ii = 0; ii < 7; ii++)
				{
					this.tbox_SensorVm[i][ii].Location = new System.Drawing.Point(35*ii,24);
					this.tbox_SensorVm[i][ii].Name = "tbox_SensorVm";
					this.tbox_SensorVm[i][ii].Size = new System.Drawing.Size(35, 20);
					this.tbox_SensorVm[i][ii].TabIndex = 3;
				}
				// 
				// lbl_SensorSN
				//
				this.lbl_SensorSN[i].Location = new System.Drawing.Point(16, 136);
				this.lbl_SensorSN[i].Name = "lbl_SensorSN";
				this.lbl_SensorSN[i].TabIndex = 0;
		}
			// 
			// TrackingSystemForm
			// 
			GetData();
			this.AutoScaleBaseSize = new System.Drawing.Size(5, 13);
			this.ClientSize = new System.Drawing.Size(776, 230);
			this.Controls.Add(this.tabctrl_TrackingSystem);
			this.Name = "TrackingSystemForm";
			this.Text = "PCI Bird Settings";
			this.tabctrl_TrackingSystem.ResumeLayout(false);
			this.tabpg_System.ResumeLayout(false);
			this.gbox_BoardParams.ResumeLayout(false);
			((System.ComponentModel.ISupportInitialize)(this.nud_MeasRate)).EndInit();
			this.tabpg_Xmtr.ResumeLayout(false);
			this.gbox_XmtrParams.ResumeLayout(false);
			this.gbox_XmtrRF.ResumeLayout(false);
			for(int i = 0; i < numSensors; i++)
			{
				this.tabpg_Sensor[i].ResumeLayout(false);
				this.gbox_SensorQualParams[i].ResumeLayout(false);
				this.gbox_SensorAA[i].ResumeLayout(false);
				this.gbox_SensorFilters[i].ResumeLayout(false);
				this.tabctrl_SensorAlpha[i].ResumeLayout(false);
			}
			this.btn_Update = new Button();
			this.Controls.Add(this.btn_Update);
			btn_Update.Text = "Update";
			btn_Update.Size = new Size(100,30);
			btn_Update.Location = new Point(0,200);
			btn_Update.Click += new EventHandler(btn_Update_OnClick);
			
			this.ResumeLayout(false);

		}
		#endregion

		private void btn_Update_OnClick(object sender, EventArgs e)
		{
			SetData();
			GetData();
		}

		private void GetData()
		{
			//Get Board Configuration
			BoardConfig boardConfig = trackingSystem.board.GetBoardConfig();
			this.lbl_BoardFR.Text = "Firmware Revision: " + boardConfig.firmwareRevision;
			this.lbl_BoardFN.Text = "Firmware Number: " + boardConfig.firmwareNumber; 
			this.lbl_BoardRev.Text = "Revision: " + boardConfig.revision; 
			this.lbl_BoardType.Text = "Type: " + boardConfig.type; 
			this.lbl_BoardSN.Text = "Serial Number: " + boardConfig.serialNumber; 
			this.lbl_BoardModel.Text = "Model: " + boardConfig.modelString;

			//Get System Configuration
			SystemConfig systemConfig = trackingSystem.GetSystemConfig();
			this.nud_MeasRate.Value = (decimal)systemConfig.measurementRate;
			this.rbtn_Inches.Checked = !Convert.ToBoolean(systemConfig.metric); 
			this.rbtn_Millimeters.Checked = Convert.ToBoolean(systemConfig.metric);
			if(systemConfig.powerLineFrequency.Equals(60.0))
				this.cbox_PLFreq.SelectedIndex = 0;
			else
				this.cbox_PLFreq.SelectedIndex = 1;
			this.cbox_AgcMode.SelectedIndex = (int)systemConfig.agcMode;

			//Get Xmtr Configuration
			XmtrConfig xmtrConfig = trackingSystem.xmtr.GetXmtrConfig();
			this.lbl_XmtrType.Text = "Type: " + xmtrConfig.type;
			this.lbl_XmtrSN.Text = "Serial Number: " + xmtrConfig.serialNumber;

			//Get Xmtr Parameters
			this.chkbox_XmtrXYZRF.Checked = Convert.ToBoolean(
										trackingSystem.xmtr.XYZReferenceFrame.Get());
			
			AnglesReading rf = trackingSystem.xmtr.ReferenceFrame.Get(); 
			this.tbox_XmtrRFroll.Text = rf.r.ToString();
			this.tbox_XmtrRFelev.Text = rf.e.ToString();
			this.tbox_XmtrRFazim.Text = rf.a.ToString();

			//create sensor parameter return types
			for(int i = 0; i < numSensors; i++)
			{
				//Get Sensor configuration
				this.tbox_SensorDCAdapt[i].Text = 
							trackingSystem.sensor[i].FilterDCAdaptive.Get().ToString(); 
				this.chkbox_SensorLC[i].Checked = trackingSystem.sensor[i].FilterLargeChange.Get();
				this.chkbox_SensorACNN[i].Checked = trackingSystem.sensor[i].FilterACNarrowNotch.Get();
				this.chkbox_SensorACWN[i].Checked = trackingSystem.sensor[i].FilterACWideNotch.Get();
				
				QualityParameters qualParam = trackingSystem.sensor[i].Quality.Get();
				this.tbox_SensorAlpha[i].Text = qualParam.filterAlpha.ToString();
				this.tbox_SensorSens[i].Text = qualParam.errorSensitivity.ToString();
				this.tbox_SensorSlope[i].Text = qualParam.errorSlope.ToString();
				this.tbox_SensorOffset[i].Text = qualParam.errorOffset.ToString();

				this.cbox_SensorHemisphere[i].SelectedIndex = 
										(int)trackingSystem.sensor[i].Hemisphere.Get();
				
				AnglesReading angleAlign = trackingSystem.sensor[i].AngleAlign.Get();
				this.tbox_SensorAAroll[i].Text = angleAlign.r.ToString();
				this.tbox_SensorAAelev[i].Text = angleAlign.e.ToString();
				this.tbox_SensorAAazim[i].Text = angleAlign.a.ToString();

				AdaptiveParameters alphaParam = trackingSystem.sensor[i].FilterAlpha.Get(); 
				this.chkbox_SensorAO[i].Checked = Convert.ToBoolean(alphaParam.alphaOn);
				for(int ii = 0; ii < 7; ii++)
				{
					this.tbox_SensorAlphaMin[i][ii].Text = alphaParam.alphaMin[ii].ToString();
					this.tbox_SensorAlphaMax[i][ii].Text = alphaParam.alphaMax[ii].ToString();
					this.tbox_SensorVm[i][ii].Text = alphaParam.vm[ii].ToString();
				}

				this.lbl_SensorSN[i].Text = "Serial Number: " + 
											trackingSystem.sensor[i].SerialNumberRX.Get();

			}

		}

		private void SetData()
		{
			//Set System Configuration
			trackingSystem.MeasurementRate.Set((double)this.nud_MeasRate.Value);
			trackingSystem.Metric.Set(rbtn_Millimeters.Checked);
			if(this.cbox_PLFreq.SelectedIndex.Equals(0))
				trackingSystem.LineFrequency.Set(60.0);
			else
				trackingSystem.LineFrequency.Set(50.0);
			trackingSystem.AGCMode.Set((AGC_MODE_TYPE)this.cbox_AgcMode.SelectedIndex);

	
			//Set Xmtr Configuration
			trackingSystem.xmtr.XYZReferenceFrame.Set(chkbox_XmtrXYZRF.Checked);

			AnglesReading rf = new AnglesReading();
			rf.r = Convert.ToDouble(this.tbox_XmtrRFroll.Text);
			rf.e = Convert.ToDouble(this.tbox_XmtrRFelev.Text);
			rf.a = Convert.ToDouble(this.tbox_XmtrRFazim.Text);
			trackingSystem.xmtr.ReferenceFrame.Set(rf);

			//Set Sensor Parameters
			for(int i = 0; i < numSensors; i++)
			{
				trackingSystem.sensor[i].FilterDCAdaptive.Set(Convert.ToDouble(
											this.tbox_SensorDCAdapt[i].Text));
				trackingSystem.sensor[i].FilterLargeChange.Set(this.chkbox_SensorLC[i].Checked);
				trackingSystem.sensor[i].FilterACNarrowNotch.Set(this.chkbox_SensorACNN[i].Checked);
				trackingSystem.sensor[i].FilterACWideNotch.Set(this.chkbox_SensorACWN[i].Checked);

				QualityParameters qualParam = new QualityParameters();
				qualParam.errorSlope = Convert.ToUInt16(this.tbox_SensorSlope[i].Text);
				qualParam.errorSensitivity = Convert.ToUInt16(this.tbox_SensorSens[i].Text);
				qualParam.errorOffset = Convert.ToUInt16(this.tbox_SensorOffset[i].Text);
				qualParam.filterAlpha = Convert.ToUInt16(this.tbox_SensorAlpha[i].Text);
				trackingSystem.sensor[i].Quality.Set(qualParam);

				AnglesReading angleAlign = new AnglesReading();
				angleAlign.a = Convert.ToDouble(this.tbox_SensorAAazim[i].Text);
				angleAlign.e = Convert.ToDouble(this.tbox_SensorAAelev[i].Text);
				angleAlign.r = Convert.ToDouble(this.tbox_SensorAAroll[i].Text);
				trackingSystem.sensor[i].AngleAlign.Set(angleAlign);

				trackingSystem.sensor[i].Hemisphere.Set(
							(HEMISPHERE_TYPE)this.cbox_SensorHemisphere[i].SelectedIndex);

				AdaptiveParameters alphaParam = new AdaptiveParameters();
				alphaParam.alphaMin = new ushort[7];
				alphaParam.alphaMax = new ushort[7];
				alphaParam.vm = new ushort[7];
				for(int ii = 0; ii < 7; ii++)
				{
					alphaParam.alphaMin[ii] = Convert.ToUInt16(this.tbox_SensorAlphaMin[i][ii].Text);
					alphaParam.alphaMax[ii] = Convert.ToUInt16(this.tbox_SensorAlphaMax[i][ii].Text);
					alphaParam.vm[ii] = Convert.ToUInt16(this.tbox_SensorVm[i][ii].Text);
				}
				alphaParam.alphaOn = Convert.ToInt32(this.chkbox_SensorAO[i].Checked);
				trackingSystem.sensor[i].FilterAlpha.Set(alphaParam);
			}
		}

		private void tabPage1_Click(object sender, System.EventArgs e)
		{
		
		}

		private void comboBox1_SelectedIndexChanged(object sender, System.EventArgs e)
		{
		
		}

		private void label1_Click(object sender, System.EventArgs e)
		{
		
		}

		private void radioButton1_CheckedChanged(object sender, System.EventArgs e)
		{
		
		}

		private void numericUpDown1_ValueChanged(object sender, System.EventArgs e)
		{
		
		}

		private void label1_Click_1(object sender, System.EventArgs e)
		{
		
		}

		private void tabctrl_TrackingSystem_SelectedIndexChanged(object sender, System.EventArgs e)
		{
		
		}

		private void textBox1_TextChanged(object sender, System.EventArgs e)
		{
		
		}

		private void nud_SensorAAazim_ValueChanged(object sender, System.EventArgs e)
		{
		
		}

		private void lbl_SensorSlope_Click(object sender, System.EventArgs e)
		{
		
		}

		private void tabctrl_SensorAlpha_SelectedIndexChanged(object sender, System.EventArgs e)
		{
		
		}

		private void groupBox1_Enter(object sender, System.EventArgs e)
		{
		
		}
	}
}
